Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class RimPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RimPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, RimPackage

    public class RimPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements RimPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RimPackage
`RimPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RimPackage
`ASSOCIATION_TYPE1, ASSOCIATION_TYPE1__ACCESS_CONTROL_POLICY, ASSOCIATION_TYPE1__ASSOCIATION_TYPE, ASSOCIATION_TYPE1__CLASSIFICATION, ASSOCIATION_TYPE1__DESCRIPTION, ASSOCIATION_TYPE1__EXTERNAL_IDENTIFIER, ASSOCIATION_TYPE1__ID, ASSOCIATION_TYPE1__IS_CONFIRMED_BY_SOURCE_OWNER, ASSOCIATION_TYPE1__IS_CONFIRMED_BY_TARGET_OWNER, ASSOCIATION_TYPE1__NAME, ASSOCIATION_TYPE1__OBJECT_TYPE, ASSOCIATION_TYPE1__SLOT, ASSOCIATION_TYPE1__SOURCE_OBJECT, ASSOCIATION_TYPE1__TARGET_OBJECT, ASSOCIATION_TYPE1_FEATURE_COUNT, AUDITABLE_EVENT_TYPE, AUDITABLE_EVENT_TYPE__ACCESS_CONTROL_POLICY, AUDITABLE_EVENT_TYPE__CLASSIFICATION, AUDITABLE_EVENT_TYPE__DESCRIPTION, AUDITABLE_EVENT_TYPE__EVENT_TYPE, AUDITABLE_EVENT_TYPE__EXTERNAL_IDENTIFIER, AUDITABLE_EVENT_TYPE__ID, AUDITABLE_EVENT_TYPE__NAME, AUDITABLE_EVENT_TYPE__OBJECT_TYPE, AUDITABLE_EVENT_TYPE__REGISTRY_OBJECT, AUDITABLE_EVENT_TYPE__SLOT, AUDITABLE_EVENT_TYPE__TIMESTAMP, AUDITABLE_EVENT_TYPE__USER, AUDITABLE_EVENT_TYPE_FEATURE_COUNT, CLASSIFICATION_NODE_TYPE, CLASSIFICATION_NODE_TYPE__ACCESS_CONTROL_POLICY, CLASSIFICATION_NODE_TYPE__CLASSIFICATION, CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE, CLASSIFICATION_NODE_TYPE__CODE, CLASSIFICATION_NODE_TYPE__DESCRIPTION, CLASSIFICATION_NODE_TYPE__EXTERNAL_IDENTIFIER, CLASSIFICATION_NODE_TYPE__ID, CLASSIFICATION_NODE_TYPE__NAME, CLASSIFICATION_NODE_TYPE__OBJECT_TYPE, CLASSIFICATION_NODE_TYPE__PARENT, CLASSIFICATION_NODE_TYPE__PATH, CLASSIFICATION_NODE_TYPE__SLOT, CLASSIFICATION_NODE_TYPE_FEATURE_COUNT, CLASSIFICATION_SCHEME_TYPE, CLASSIFICATION_SCHEME_TYPE__ACCESS_CONTROL_POLICY, CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION, CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE, CLASSIFICATION_SCHEME_TYPE__DESCRIPTION, CLASSIFICATION_SCHEME_TYPE__EXPIRATION, CLASSIFICATION_SCHEME_TYPE__EXTERNAL_IDENTIFIER, CLASSIFICATION_SCHEME_TYPE__ID, CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL, CLASSIFICATION_SCHEME_TYPE__MAJOR_VERSION, CLASSIFICATION_SCHEME_TYPE__MINOR_VERSION, CLASSIFICATION_SCHEME_TYPE__NAME, CLASSIFICATION_SCHEME_TYPE__NODE_TYPE, CLASSIFICATION_SCHEME_TYPE__OBJECT_TYPE, CLASSIFICATION_SCHEME_TYPE__SLOT, CLASSIFICATION_SCHEME_TYPE__STABILITY, CLASSIFICATION_SCHEME_TYPE__STATUS, CLASSIFICATION_SCHEME_TYPE__USER_VERSION, CLASSIFICATION_SCHEME_TYPE_FEATURE_COUNT, CLASSIFICATION_TYPE, CLASSIFICATION_TYPE__ACCESS_CONTROL_POLICY, CLASSIFICATION_TYPE__CLASSIFICATION, CLASSIFICATION_TYPE__CLASSIFICATION_NODE, CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME, CLASSIFICATION_TYPE__CLASSIFIED_OBJECT, CLASSIFICATION_TYPE__DESCRIPTION, CLASSIFICATION_TYPE__EXTERNAL_IDENTIFIER, CLASSIFICATION_TYPE__ID, CLASSIFICATION_TYPE__NAME, CLASSIFICATION_TYPE__NODE_REPRESENTATION, CLASSIFICATION_TYPE__OBJECT_TYPE, CLASSIFICATION_TYPE__SLOT, CLASSIFICATION_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ADDRESS, DOCUMENT_ROOT__ASSOCIATION, DOCUMENT_ROOT__AUDITABLE_EVENT, DOCUMENT_ROOT__CLASSIFICATION, DOCUMENT_ROOT__CLASSIFICATION_NODE, DOCUMENT_ROOT__CLASSIFICATION_SCHEME, DOCUMENT_ROOT__DESCRIPTION, DOCUMENT_ROOT__EMAIL_ADDRESS, DOCUMENT_ROOT__EXTERNAL_IDENTIFIER, DOCUMENT_ROOT__EXTERNAL_LINK, DOCUMENT_ROOT__EXTRINSIC_OBJECT, DOCUMENT_ROOT__FAX_NUMBER, DOCUMENT_ROOT__INTERNATIONAL_STRING, DOCUMENT_ROOT__LEAF_REGISTRY_OBJECT_LIST, DOCUMENT_ROOT__LOCALIZED_STRING, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__MOBILE_TELEPHONE_NUMBER, DOCUMENT_ROOT__NAME, DOCUMENT_ROOT__OBJECT_REF, DOCUMENT_ROOT__OBJECT_REF_LIST, DOCUMENT_ROOT__ORGANIZATION, DOCUMENT_ROOT__PAGER_NUMBER, DOCUMENT_ROOT__PERSON_NAME, DOCUMENT_ROOT__POSTAL_ADDRESS, DOCUMENT_ROOT__REGISTRY_ENTRY, DOCUMENT_ROOT__REGISTRY_OBJECT, DOCUMENT_ROOT__REGISTRY_OBJECT_LIST, DOCUMENT_ROOT__REGISTRY_PACKAGE, DOCUMENT_ROOT__SERVICE, DOCUMENT_ROOT__SERVICE_BINDING, DOCUMENT_ROOT__SLOT, DOCUMENT_ROOT__SPECIFICATION_LINK, DOCUMENT_ROOT__TELEPHONE_NUMBER, DOCUMENT_ROOT__USAGE_DESCRIPTION, DOCUMENT_ROOT__USAGE_PARAMETER, DOCUMENT_ROOT__USER, DOCUMENT_ROOT__VALUE, DOCUMENT_ROOT__VALUE_LIST, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, EMAIL_ADDRESS_TYPE, EMAIL_ADDRESS_TYPE__ADDRESS, EMAIL_ADDRESS_TYPE__GROUP, EMAIL_ADDRESS_TYPE__SLOT, EMAIL_ADDRESS_TYPE__TYPE, EMAIL_ADDRESS_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, EVENT_TYPE_TYPE, EVENT_TYPE_TYPE_OBJECT, EXTERNAL_IDENTIFIER_TYPE, EXTERNAL_IDENTIFIER_TYPE__ACCESS_CONTROL_POLICY, EXTERNAL_IDENTIFIER_TYPE__CLASSIFICATION, EXTERNAL_IDENTIFIER_TYPE__DESCRIPTION, EXTERNAL_IDENTIFIER_TYPE__EXTERNAL_IDENTIFIER, EXTERNAL_IDENTIFIER_TYPE__ID, EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME, EXTERNAL_IDENTIFIER_TYPE__NAME, EXTERNAL_IDENTIFIER_TYPE__OBJECT_TYPE, EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT, EXTERNAL_IDENTIFIER_TYPE__SLOT, EXTERNAL_IDENTIFIER_TYPE__VALUE, EXTERNAL_IDENTIFIER_TYPE_FEATURE_COUNT, EXTERNAL_LINK_TYPE, EXTERNAL_LINK_TYPE__ACCESS_CONTROL_POLICY, EXTERNAL_LINK_TYPE__CLASSIFICATION, EXTERNAL_LINK_TYPE__DESCRIPTION, EXTERNAL_LINK_TYPE__EXTERNAL_IDENTIFIER, EXTERNAL_LINK_TYPE__EXTERNAL_URI, EXTERNAL_LINK_TYPE__ID, EXTERNAL_LINK_TYPE__NAME, EXTERNAL_LINK_TYPE__OBJECT_TYPE, EXTERNAL_LINK_TYPE__SLOT, EXTERNAL_LINK_TYPE_FEATURE_COUNT, EXTRINSIC_OBJECT_TYPE, EXTRINSIC_OBJECT_TYPE__ACCESS_CONTROL_POLICY, EXTRINSIC_OBJECT_TYPE__CLASSIFICATION, EXTRINSIC_OBJECT_TYPE__DESCRIPTION, EXTRINSIC_OBJECT_TYPE__EXPIRATION, EXTRINSIC_OBJECT_TYPE__EXTERNAL_IDENTIFIER, EXTRINSIC_OBJECT_TYPE__ID, EXTRINSIC_OBJECT_TYPE__IS_OPAQUE, EXTRINSIC_OBJECT_TYPE__MAJOR_VERSION, EXTRINSIC_OBJECT_TYPE__MIME_TYPE, EXTRINSIC_OBJECT_TYPE__MINOR_VERSION, EXTRINSIC_OBJECT_TYPE__NAME, EXTRINSIC_OBJECT_TYPE__OBJECT_TYPE, EXTRINSIC_OBJECT_TYPE__SLOT, EXTRINSIC_OBJECT_TYPE__STABILITY, EXTRINSIC_OBJECT_TYPE__STATUS, EXTRINSIC_OBJECT_TYPE__USER_VERSION, EXTRINSIC_OBJECT_TYPE_FEATURE_COUNT, FREE_FORM_TEXT, INTERNATIONAL_STRING_TYPE, INTERNATIONAL_STRING_TYPE__GROUP, INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING, INTERNATIONAL_STRING_TYPE_FEATURE_COUNT, LEAF_REGISTRY_OBJECT_LIST_TYPE, LEAF_REGISTRY_OBJECT_LIST_TYPE__ASSOCIATION, LEAF_REGISTRY_OBJECT_LIST_TYPE__AUDITABLE_EVENT, LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION, LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_NODE, LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_SCHEME, LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_IDENTIFIER, LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_LINK, LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTRINSIC_OBJECT, LEAF_REGISTRY_OBJECT_LIST_TYPE__GROUP, LEAF_REGISTRY_OBJECT_LIST_TYPE__OBJECT_REF, LEAF_REGISTRY_OBJECT_LIST_TYPE__ORGANIZATION, LEAF_REGISTRY_OBJECT_LIST_TYPE__REGISTRY_PACKAGE, LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE, LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE_BINDING, LEAF_REGISTRY_OBJECT_LIST_TYPE__SPECIFICATION_LINK, LEAF_REGISTRY_OBJECT_LIST_TYPE__USER, LEAF_REGISTRY_OBJECT_LIST_TYPE_FEATURE_COUNT, LOCALIZED_STRING_TYPE, LOCALIZED_STRING_TYPE__CHARSET, LOCALIZED_STRING_TYPE__LANG, LOCALIZED_STRING_TYPE__VALUE, LOCALIZED_STRING_TYPE_FEATURE_COUNT, LONG_NAME, NODE_TYPE_TYPE, NODE_TYPE_TYPE_OBJECT, OBJECT_REF_LIST_TYPE, OBJECT_REF_LIST_TYPE__GROUP, OBJECT_REF_LIST_TYPE__OBJECT_REF, OBJECT_REF_LIST_TYPE_FEATURE_COUNT, OBJECT_REF_TYPE, OBJECT_REF_TYPE__ID, OBJECT_REF_TYPE_FEATURE_COUNT, ORGANIZATION_TYPE, ORGANIZATION_TYPE__ACCESS_CONTROL_POLICY, ORGANIZATION_TYPE__ADDRESS, ORGANIZATION_TYPE__CLASSIFICATION, ORGANIZATION_TYPE__DESCRIPTION, ORGANIZATION_TYPE__EXTERNAL_IDENTIFIER, ORGANIZATION_TYPE__ID, ORGANIZATION_TYPE__NAME, ORGANIZATION_TYPE__OBJECT_TYPE, ORGANIZATION_TYPE__PARENT, ORGANIZATION_TYPE__PRIMARY_CONTACT, ORGANIZATION_TYPE__SLOT, ORGANIZATION_TYPE__TELEPHONE_NUMBER, ORGANIZATION_TYPE_FEATURE_COUNT, PERSON_NAME_TYPE, PERSON_NAME_TYPE__FIRST_NAME, PERSON_NAME_TYPE__GROUP, PERSON_NAME_TYPE__LAST_NAME, PERSON_NAME_TYPE__MIDDLE_NAME, PERSON_NAME_TYPE__SLOT, PERSON_NAME_TYPE_FEATURE_COUNT, POSTAL_ADDRESS_TYPE, POSTAL_ADDRESS_TYPE__CITY, POSTAL_ADDRESS_TYPE__COUNTRY, POSTAL_ADDRESS_TYPE__GROUP, POSTAL_ADDRESS_TYPE__POSTAL_CODE, POSTAL_ADDRESS_TYPE__SLOT, POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE, POSTAL_ADDRESS_TYPE__STREET, POSTAL_ADDRESS_TYPE__STREET_NUMBER, POSTAL_ADDRESS_TYPE_FEATURE_COUNT, REGISTRY_ENTRY_TYPE, REGISTRY_ENTRY_TYPE__ACCESS_CONTROL_POLICY, REGISTRY_ENTRY_TYPE__CLASSIFICATION, REGISTRY_ENTRY_TYPE__DESCRIPTION, REGISTRY_ENTRY_TYPE__EXPIRATION, REGISTRY_ENTRY_TYPE__EXTERNAL_IDENTIFIER, REGISTRY_ENTRY_TYPE__ID, REGISTRY_ENTRY_TYPE__MAJOR_VERSION, REGISTRY_ENTRY_TYPE__MINOR_VERSION, REGISTRY_ENTRY_TYPE__NAME, REGISTRY_ENTRY_TYPE__OBJECT_TYPE, REGISTRY_ENTRY_TYPE__SLOT, REGISTRY_ENTRY_TYPE__STABILITY, REGISTRY_ENTRY_TYPE__STATUS, REGISTRY_ENTRY_TYPE__USER_VERSION, REGISTRY_ENTRY_TYPE_FEATURE_COUNT, REGISTRY_OBJECT_LIST_TYPE, REGISTRY_OBJECT_LIST_TYPE__ASSOCIATION, REGISTRY_OBJECT_LIST_TYPE__AUDITABLE_EVENT, REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION, REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_NODE, REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_SCHEME, REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_IDENTIFIER, REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_LINK, REGISTRY_OBJECT_LIST_TYPE__EXTRINSIC_OBJECT, REGISTRY_OBJECT_LIST_TYPE__GROUP, REGISTRY_OBJECT_LIST_TYPE__GROUP1, REGISTRY_OBJECT_LIST_TYPE__OBJECT_REF, REGISTRY_OBJECT_LIST_TYPE__ORGANIZATION, REGISTRY_OBJECT_LIST_TYPE__REGISTRY_ENTRY, REGISTRY_OBJECT_LIST_TYPE__REGISTRY_OBJECT, REGISTRY_OBJECT_LIST_TYPE__REGISTRY_PACKAGE, REGISTRY_OBJECT_LIST_TYPE__SERVICE, REGISTRY_OBJECT_LIST_TYPE__SERVICE_BINDING, REGISTRY_OBJECT_LIST_TYPE__SPECIFICATION_LINK, REGISTRY_OBJECT_LIST_TYPE__USER, REGISTRY_OBJECT_LIST_TYPE_FEATURE_COUNT, REGISTRY_OBJECT_TYPE, REGISTRY_OBJECT_TYPE__ACCESS_CONTROL_POLICY, REGISTRY_OBJECT_TYPE__CLASSIFICATION, REGISTRY_OBJECT_TYPE__DESCRIPTION, REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER, REGISTRY_OBJECT_TYPE__ID, REGISTRY_OBJECT_TYPE__NAME, REGISTRY_OBJECT_TYPE__OBJECT_TYPE, REGISTRY_OBJECT_TYPE__SLOT, REGISTRY_OBJECT_TYPE_FEATURE_COUNT, REGISTRY_PACKAGE_TYPE, REGISTRY_PACKAGE_TYPE__ACCESS_CONTROL_POLICY, REGISTRY_PACKAGE_TYPE__CLASSIFICATION, REGISTRY_PACKAGE_TYPE__DESCRIPTION, REGISTRY_PACKAGE_TYPE__EXPIRATION, REGISTRY_PACKAGE_TYPE__EXTERNAL_IDENTIFIER, REGISTRY_PACKAGE_TYPE__ID, REGISTRY_PACKAGE_TYPE__MAJOR_VERSION, REGISTRY_PACKAGE_TYPE__MINOR_VERSION, REGISTRY_PACKAGE_TYPE__NAME, REGISTRY_PACKAGE_TYPE__OBJECT_TYPE, REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST, REGISTRY_PACKAGE_TYPE__SLOT, REGISTRY_PACKAGE_TYPE__STABILITY, REGISTRY_PACKAGE_TYPE__STATUS, REGISTRY_PACKAGE_TYPE__USER_VERSION, REGISTRY_PACKAGE_TYPE_FEATURE_COUNT, SERVICE_BINDING_TYPE, SERVICE_BINDING_TYPE__ACCESS_CONTROL_POLICY, SERVICE_BINDING_TYPE__ACCESS_URI, SERVICE_BINDING_TYPE__CLASSIFICATION, SERVICE_BINDING_TYPE__DESCRIPTION, SERVICE_BINDING_TYPE__EXTERNAL_IDENTIFIER, SERVICE_BINDING_TYPE__ID, SERVICE_BINDING_TYPE__NAME, SERVICE_BINDING_TYPE__OBJECT_TYPE, SERVICE_BINDING_TYPE__SERVICE, SERVICE_BINDING_TYPE__SLOT, SERVICE_BINDING_TYPE__SPECIFICATION_LINK, SERVICE_BINDING_TYPE__TARGET_BINDING, SERVICE_BINDING_TYPE_FEATURE_COUNT, SERVICE_TYPE, SERVICE_TYPE__ACCESS_CONTROL_POLICY, SERVICE_TYPE__CLASSIFICATION, SERVICE_TYPE__DESCRIPTION, SERVICE_TYPE__EXPIRATION, SERVICE_TYPE__EXTERNAL_IDENTIFIER, SERVICE_TYPE__ID, SERVICE_TYPE__MAJOR_VERSION, SERVICE_TYPE__MINOR_VERSION, SERVICE_TYPE__NAME, SERVICE_TYPE__OBJECT_TYPE, SERVICE_TYPE__SERVICE_BINDING, SERVICE_TYPE__SLOT, SERVICE_TYPE__STABILITY, SERVICE_TYPE__STATUS, SERVICE_TYPE__USER_VERSION, SERVICE_TYPE_FEATURE_COUNT, SHORT_NAME, SLOT_TYPE1, SLOT_TYPE1__NAME, SLOT_TYPE1__SLOT_TYPE, SLOT_TYPE1__VALUE_LIST, SLOT_TYPE1_FEATURE_COUNT, SPECIFICATION_LINK_TYPE, SPECIFICATION_LINK_TYPE__ACCESS_CONTROL_POLICY, SPECIFICATION_LINK_TYPE__CLASSIFICATION, SPECIFICATION_LINK_TYPE__DESCRIPTION, SPECIFICATION_LINK_TYPE__EXTERNAL_IDENTIFIER, SPECIFICATION_LINK_TYPE__ID, SPECIFICATION_LINK_TYPE__NAME, SPECIFICATION_LINK_TYPE__OBJECT_TYPE, SPECIFICATION_LINK_TYPE__SLOT, SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT, SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION, SPECIFICATION_LINK_TYPE__USAGE_PARAMETER, SPECIFICATION_LINK_TYPE_FEATURE_COUNT, STABILITY_TYPE, STABILITY_TYPE_OBJECT, STATUS_TYPE, STATUS_TYPE_OBJECT, STRING16, STRING32, STRING4, STRING8, TELEPHONE_NUMBER_LIST_TYPE, TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER, TELEPHONE_NUMBER_LIST_TYPE_FEATURE_COUNT, TELEPHONE_NUMBER_TYPE, TELEPHONE_NUMBER_TYPE__AREA_CODE, TELEPHONE_NUMBER_TYPE__COUNTRY_CODE, TELEPHONE_NUMBER_TYPE__EXTENSION, TELEPHONE_NUMBER_TYPE__NUMBER, TELEPHONE_NUMBER_TYPE__PHONE_TYPE, TELEPHONE_NUMBER_TYPE__URL, TELEPHONE_NUMBER_TYPE_FEATURE_COUNT, USER_TYPE, USER_TYPE__ACCESS_CONTROL_POLICY, USER_TYPE__ADDRESS, USER_TYPE__CLASSIFICATION, USER_TYPE__DESCRIPTION, USER_TYPE__EMAIL_ADDRESS, USER_TYPE__EXTERNAL_IDENTIFIER, USER_TYPE__ID, USER_TYPE__NAME, USER_TYPE__OBJECT_TYPE, USER_TYPE__ORGANIZATION, USER_TYPE__PERSON_NAME, USER_TYPE__SLOT, USER_TYPE__TELEPHONE_NUMBER, USER_TYPE__URL, USER_TYPE_FEATURE_COUNT, VALUE_LIST_TYPE, VALUE_LIST_TYPE__GROUP, VALUE_LIST_TYPE__VALUE, VALUE_LIST_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_AssociationType()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_IsConfirmedBySourceOwner()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_IsConfirmedByTargetOwner()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_SourceObject()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_TargetObject()`
`org.eclipse.emf.ecore.EClass` | `getAssociationType1()`
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_EventType()`
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_RegistryObject()`
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_Timestamp()`
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_User()`
`org.eclipse.emf.ecore.EClass` | `getAuditableEventType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeType_ClassificationNode()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Code()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Parent()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Path()`
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeType_ClassificationNode()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeType_IsInternal()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeType_NodeType()`
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeType()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassificationNode()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassificationScheme()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassifiedObject()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_NodeRepresentation()`
`org.eclipse.emf.ecore.EClass` | `getClassificationType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Address()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Association()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEvent()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Classification()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNode()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationScheme()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Description()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_EmailAddress()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifier()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLink()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObject()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FaxNumber()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_InternationalString()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_LeafRegistryObjectList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_LocalizedString()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_MobileTelephoneNumber()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Name()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ObjectRefList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Organization()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PagerNumber()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PersonName()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PostalAddress()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObject()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackage()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Service()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBinding()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Slot()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLink()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TelephoneNumber()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UsageDescription()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_UsageParameter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_User()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Value()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValueList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EAttribute` | `getEmailAddressType_Address()`
`org.eclipse.emf.ecore.EAttribute` | `getEmailAddressType_Group()`
`org.eclipse.emf.ecore.EReference` | `getEmailAddressType_Slot()`
`org.eclipse.emf.ecore.EAttribute` | `getEmailAddressType_Type()`
`org.eclipse.emf.ecore.EClass` | `getEmailAddressType()`
`org.eclipse.emf.ecore.EEnum` | `getEventTypeType()`
`org.eclipse.emf.ecore.EDataType` | `getEventTypeTypeObject()`
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_IdentificationScheme()`
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_RegistryObject()`
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_Value()`
`org.eclipse.emf.ecore.EClass` | `getExternalIdentifierType()`
`org.eclipse.emf.ecore.EAttribute` | `getExternalLinkType_ExternalURI()`
`org.eclipse.emf.ecore.EClass` | `getExternalLinkType()`
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectType_IsOpaque()`
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectType_MimeType()`
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectType()`
`org.eclipse.emf.ecore.EDataType` | `getFreeFormText()`
`org.eclipse.emf.ecore.EAttribute` | `getInternationalStringType_Group()`
`org.eclipse.emf.ecore.EReference` | `getInternationalStringType_LocalizedString()`
`org.eclipse.emf.ecore.EClass` | `getInternationalStringType()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_Association()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_AuditableEvent()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_Classification()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ClassificationNode()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ClassificationScheme()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ExternalIdentifier()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ExternalLink()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ExtrinsicObject()`
`org.eclipse.emf.ecore.EAttribute` | `getLeafRegistryObjectListType_Group()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_Organization()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_RegistryPackage()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_Service()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_ServiceBinding()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_SpecificationLink()`
`org.eclipse.emf.ecore.EReference` | `getLeafRegistryObjectListType_User()`
`org.eclipse.emf.ecore.EClass` | `getLeafRegistryObjectListType()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Charset()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Lang()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Value()`
`org.eclipse.emf.ecore.EClass` | `getLocalizedStringType()`
`org.eclipse.emf.ecore.EDataType` | `getLongName()`
`org.eclipse.emf.ecore.EEnum` | `getNodeTypeType()`
`org.eclipse.emf.ecore.EDataType` | `getNodeTypeTypeObject()`
`org.eclipse.emf.ecore.EAttribute` | `getObjectRefListType_Group()`
`org.eclipse.emf.ecore.EReference` | `getObjectRefListType_ObjectRef()`
`org.eclipse.emf.ecore.EClass` | `getObjectRefListType()`
`org.eclipse.emf.ecore.EAttribute` | `getObjectRefType_Id()`
`org.eclipse.emf.ecore.EClass` | `getObjectRefType()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationType_Address()`
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationType_Parent()`
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationType_PrimaryContact()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationType_TelephoneNumber()`
`org.eclipse.emf.ecore.EClass` | `getOrganizationType()`
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_FirstName()`
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_Group()`
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_LastName()`
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_MiddleName()`
`org.eclipse.emf.ecore.EReference` | `getPersonNameType_Slot()`
`org.eclipse.emf.ecore.EClass` | `getPersonNameType()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_City()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_Country()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_Group()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_PostalCode()`
`org.eclipse.emf.ecore.EReference` | `getPostalAddressType_Slot()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_StateOrProvince()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_Street()`
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_StreetNumber()`
`org.eclipse.emf.ecore.EClass` | `getPostalAddressType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_Expiration()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_MajorVersion()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_MinorVersion()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_Stability()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_Status()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryType_UserVersion()`
`org.eclipse.emf.ecore.EClass` | `getRegistryEntryType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectListType_Group1()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectListType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectListType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectListType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_AccessControlPolicy()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Classification()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Description()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_ExternalIdentifier()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_Id()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_ObjectType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Slot()`
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageType_RegistryObjectList()`
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageType()`
`RimFactory` | `getRimFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_AccessURI()`
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_Service()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingType_SpecificationLink()`
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_TargetBinding()`
`org.eclipse.emf.ecore.EClass` | `getServiceBindingType()`
`org.eclipse.emf.ecore.EReference` | `getServiceType_ServiceBinding()`
`org.eclipse.emf.ecore.EClass` | `getServiceType()`
`org.eclipse.emf.ecore.EDataType` | `getShortName()`
`org.eclipse.emf.ecore.EAttribute` | `getSlotType1_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getSlotType1_SlotType()`
`org.eclipse.emf.ecore.EReference` | `getSlotType1_ValueList()`
`org.eclipse.emf.ecore.EClass` | `getSlotType1()`
`org.eclipse.emf.ecore.EAttribute` | `getSpecificationLinkType_SpecificationObject()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkType_UsageDescription()`
`org.eclipse.emf.ecore.EAttribute` | `getSpecificationLinkType_UsageParameter()`
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkType()`
`org.eclipse.emf.ecore.EEnum` | `getStabilityType()`
`org.eclipse.emf.ecore.EDataType` | `getStabilityTypeObject()`
`org.eclipse.emf.ecore.EEnum` | `getStatusType()`
`org.eclipse.emf.ecore.EDataType` | `getStatusTypeObject()`
`org.eclipse.emf.ecore.EDataType` | `getString16()`
`org.eclipse.emf.ecore.EDataType` | `getString32()`
`org.eclipse.emf.ecore.EDataType` | `getString4()`
`org.eclipse.emf.ecore.EDataType` | `getString8()`
`org.eclipse.emf.ecore.EReference` | `getTelephoneNumberListType_TelephoneNumber()`
`org.eclipse.emf.ecore.EClass` | `getTelephoneNumberListType()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_AreaCode()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_CountryCode()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_Extension()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_Number()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_PhoneType()`
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_Url()`
`org.eclipse.emf.ecore.EClass` | `getTelephoneNumberType()`
`org.eclipse.emf.ecore.EReference` | `getUserType_Address()`
`org.eclipse.emf.ecore.EReference` | `getUserType_EmailAddress()`
`org.eclipse.emf.ecore.EAttribute` | `getUserType_Organization()`
`org.eclipse.emf.ecore.EReference` | `getUserType_PersonName()`
`org.eclipse.emf.ecore.EReference` | `getUserType_TelephoneNumber()`
`org.eclipse.emf.ecore.EAttribute` | `getUserType_Url()`
`org.eclipse.emf.ecore.EClass` | `getUserType()`
`org.eclipse.emf.ecore.EAttribute` | `getValueListType_Group()`
`org.eclipse.emf.ecore.EAttribute` | `getValueListType_Value()`
`org.eclipse.emf.ecore.EClass` | `getValueListType()`
`static RimPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static RimPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `RimPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAssociationType1

    public org.eclipse.emf.ecore.EClass getAssociationType1()

  Specified by:
    `getAssociationType1` in interface `RimPackage`
  Returns:
    the meta object for class 'Association Type1'.
  See Also:
    `AssociationType1`

### getAssociationType1_AssociationType

    public org.eclipse.emf.ecore.EAttribute getAssociationType1_AssociationType()

  Specified by:
    `getAssociationType1_AssociationType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Association Type'.
  See Also:
    `AssociationType1.getAssociationType()`, `RimPackage.getAssociationType1()`

### getAssociationType1_IsConfirmedBySourceOwner

    public org.eclipse.emf.ecore.EAttribute getAssociationType1_IsConfirmedBySourceOwner()

  Specified by:
    `getAssociationType1_IsConfirmedBySourceOwner` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Is Confirmed By Source Owner'.
  See Also:
    `AssociationType1.isIsConfirmedBySourceOwner()`, `RimPackage.getAssociationType1()`

### getAssociationType1_IsConfirmedByTargetOwner

    public org.eclipse.emf.ecore.EAttribute getAssociationType1_IsConfirmedByTargetOwner()

  Specified by:
    `getAssociationType1_IsConfirmedByTargetOwner` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Is Confirmed By Target Owner'.
  See Also:
    `AssociationType1.isIsConfirmedByTargetOwner()`, `RimPackage.getAssociationType1()`

### getAssociationType1_SourceObject

    public org.eclipse.emf.ecore.EAttribute getAssociationType1_SourceObject()

  Specified by:
    `getAssociationType1_SourceObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Source Object'.
  See Also:
    `AssociationType1.getSourceObject()`, `RimPackage.getAssociationType1()`

### getAssociationType1_TargetObject

    public org.eclipse.emf.ecore.EAttribute getAssociationType1_TargetObject()

  Specified by:
    `getAssociationType1_TargetObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Target Object'.
  See Also:
    `AssociationType1.getTargetObject()`, `RimPackage.getAssociationType1()`

### getAuditableEventType

    public org.eclipse.emf.ecore.EClass getAuditableEventType()

  Specified by:
    `getAuditableEventType` in interface `RimPackage`
  Returns:
    the meta object for class 'Auditable Event Type'.
  See Also:
    `AuditableEventType`

### getAuditableEventType_EventType

    public org.eclipse.emf.ecore.EAttribute getAuditableEventType_EventType()

  Specified by:
    `getAuditableEventType_EventType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Event Type'.
  See Also:
    `AuditableEventType.getEventType()`, `RimPackage.getAuditableEventType()`

### getAuditableEventType_RegistryObject

    public org.eclipse.emf.ecore.EAttribute getAuditableEventType_RegistryObject()

  Specified by:
    `getAuditableEventType_RegistryObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Registry Object'.
  See Also:
    `AuditableEventType.getRegistryObject()`, `RimPackage.getAuditableEventType()`

### getAuditableEventType_Timestamp

    public org.eclipse.emf.ecore.EAttribute getAuditableEventType_Timestamp()

  Specified by:
    `getAuditableEventType_Timestamp` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Timestamp'.
  See Also:
    `AuditableEventType.getTimestamp()`, `RimPackage.getAuditableEventType()`

### getAuditableEventType_User

    public org.eclipse.emf.ecore.EAttribute getAuditableEventType_User()

  Specified by:
    `getAuditableEventType_User` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'User'.
  See Also:
    `AuditableEventType.getUser()`, `RimPackage.getAuditableEventType()`

### getClassificationNodeType

    public org.eclipse.emf.ecore.EClass getClassificationNodeType()

  Specified by:
    `getClassificationNodeType` in interface `RimPackage`
  Returns:
    the meta object for class 'Classification Node Type'.
  See Also:
    `ClassificationNodeType`

### getClassificationNodeType_ClassificationNode

    public org.eclipse.emf.ecore.EReference getClassificationNodeType_ClassificationNode()

  Specified by:
    `getClassificationNodeType_ClassificationNode` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationNodeType.getClassificationNode()`, `RimPackage.getClassificationNodeType()`

### getClassificationNodeType_Code

    public org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Code()

  Specified by:
    `getClassificationNodeType_Code` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `ClassificationNodeType.getCode()`, `RimPackage.getClassificationNodeType()`

### getClassificationNodeType_Parent

    public org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Parent()

  Specified by:
    `getClassificationNodeType_Parent` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Parent'.
  See Also:
    `ClassificationNodeType.getParent()`, `RimPackage.getClassificationNodeType()`

### getClassificationNodeType_Path

    public org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Path()

  Specified by:
    `getClassificationNodeType_Path` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `ClassificationNodeType.getPath()`, `RimPackage.getClassificationNodeType()`

### getClassificationSchemeType

    public org.eclipse.emf.ecore.EClass getClassificationSchemeType()

  Specified by:
    `getClassificationSchemeType` in interface `RimPackage`
  Returns:
    the meta object for class 'Classification Scheme Type'.
  See Also:
    `ClassificationSchemeType`

### getClassificationSchemeType_ClassificationNode

    public org.eclipse.emf.ecore.EReference getClassificationSchemeType_ClassificationNode()

  Specified by:
    `getClassificationSchemeType_ClassificationNode` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationSchemeType.getClassificationNode()`, `RimPackage.getClassificationSchemeType()`

### getClassificationSchemeType_IsInternal

    public org.eclipse.emf.ecore.EAttribute getClassificationSchemeType_IsInternal()

  Specified by:
    `getClassificationSchemeType_IsInternal` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Is Internal'.
  See Also:
    `ClassificationSchemeType.isIsInternal()`, `RimPackage.getClassificationSchemeType()`

### getClassificationSchemeType_NodeType

    public org.eclipse.emf.ecore.EAttribute getClassificationSchemeType_NodeType()

  Specified by:
    `getClassificationSchemeType_NodeType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Node Type'.
  See Also:
    `ClassificationSchemeType.getNodeType()`, `RimPackage.getClassificationSchemeType()`

### getClassificationType

    public org.eclipse.emf.ecore.EClass getClassificationType()

  Specified by:
    `getClassificationType` in interface `RimPackage`
  Returns:
    the meta object for class 'Classification Type'.
  See Also:
    `ClassificationType`

### getClassificationType_ClassificationNode

    public org.eclipse.emf.ecore.EAttribute getClassificationType_ClassificationNode()

  Specified by:
    `getClassificationType_ClassificationNode` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Classification Node'.
  See Also:
    `ClassificationType.getClassificationNode()`, `RimPackage.getClassificationType()`

### getClassificationType_ClassificationScheme

    public org.eclipse.emf.ecore.EAttribute getClassificationType_ClassificationScheme()

  Specified by:
    `getClassificationType_ClassificationScheme` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Classification Scheme'.
  See Also:
    `ClassificationType.getClassificationScheme()`, `RimPackage.getClassificationType()`

### getClassificationType_ClassifiedObject

    public org.eclipse.emf.ecore.EAttribute getClassificationType_ClassifiedObject()

  Specified by:
    `getClassificationType_ClassifiedObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Classified Object'.
  See Also:
    `ClassificationType.getClassifiedObject()`, `RimPackage.getClassificationType()`

### getClassificationType_NodeRepresentation

    public org.eclipse.emf.ecore.EAttribute getClassificationType_NodeRepresentation()

  Specified by:
    `getClassificationType_NodeRepresentation` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Node Representation'.
  See Also:
    `ClassificationType.getNodeRepresentation()`, `RimPackage.getClassificationType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `RimPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `RimPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `RimPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Address

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Address()

  Specified by:
    `getDocumentRoot_Address` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Address'.
  See Also:
    `DocumentRoot.getAddress()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Association

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Association()

  Specified by:
    `getDocumentRoot_Association` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Association'.
  See Also:
    `DocumentRoot.getAssociation()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_AuditableEvent

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEvent()

  Specified by:
    `getDocumentRoot_AuditableEvent` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event'.
  See Also:
    `DocumentRoot.getAuditableEvent()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Classification

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Classification()

  Specified by:
    `getDocumentRoot_Classification` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Classification'.
  See Also:
    `DocumentRoot.getClassification()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNode

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNode()

  Specified by:
    `getDocumentRoot_ClassificationNode` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Classification Node'.
  See Also:
    `DocumentRoot.getClassificationNode()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationScheme

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationScheme()

  Specified by:
    `getDocumentRoot_ClassificationScheme` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme'.
  See Also:
    `DocumentRoot.getClassificationScheme()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Description

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Description()

  Specified by:
    `getDocumentRoot_Description` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Description'.
  See Also:
    `DocumentRoot.getDescription()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_EmailAddress

    public org.eclipse.emf.ecore.EReference getDocumentRoot_EmailAddress()

  Specified by:
    `getDocumentRoot_EmailAddress` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Email Address'.
  See Also:
    `DocumentRoot.getEmailAddress()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ExternalIdentifier

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifier()

  Specified by:
    `getDocumentRoot_ExternalIdentifier` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'External Identifier'.
  See Also:
    `DocumentRoot.getExternalIdentifier()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ExternalLink

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLink()

  Specified by:
    `getDocumentRoot_ExternalLink` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'External Link'.
  See Also:
    `DocumentRoot.getExternalLink()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ExtrinsicObject

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObject()

  Specified by:
    `getDocumentRoot_ExtrinsicObject` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object'.
  See Also:
    `DocumentRoot.getExtrinsicObject()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_FaxNumber

    public org.eclipse.emf.ecore.EReference getDocumentRoot_FaxNumber()

  Specified by:
    `getDocumentRoot_FaxNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Fax Number'.
  See Also:
    `DocumentRoot.getFaxNumber()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_InternationalString

    public org.eclipse.emf.ecore.EReference getDocumentRoot_InternationalString()

  Specified by:
    `getDocumentRoot_InternationalString` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'International String'.
  See Also:
    `DocumentRoot.getInternationalString()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_LeafRegistryObjectList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_LeafRegistryObjectList()

  Specified by:
    `getDocumentRoot_LeafRegistryObjectList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Leaf Registry Object List'.
  See Also:
    `DocumentRoot.getLeafRegistryObjectList()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_LocalizedString

    public org.eclipse.emf.ecore.EReference getDocumentRoot_LocalizedString()

  Specified by:
    `getDocumentRoot_LocalizedString` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Localized String'.
  See Also:
    `DocumentRoot.getLocalizedString()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_MobileTelephoneNumber

    public org.eclipse.emf.ecore.EReference getDocumentRoot_MobileTelephoneNumber()

  Specified by:
    `getDocumentRoot_MobileTelephoneNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Mobile Telephone Number'.
  See Also:
    `DocumentRoot.getMobileTelephoneNumber()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Name

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Name()

  Specified by:
    `getDocumentRoot_Name` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `DocumentRoot.getName()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ObjectRef

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ObjectRef()

  Specified by:
    `getDocumentRoot_ObjectRef` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `DocumentRoot.getObjectRef()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ObjectRefList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ObjectRefList()

  Specified by:
    `getDocumentRoot_ObjectRefList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DocumentRoot.getObjectRefList()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Organization

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Organization()

  Specified by:
    `getDocumentRoot_Organization` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Organization'.
  See Also:
    `DocumentRoot.getOrganization()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_PagerNumber

    public org.eclipse.emf.ecore.EReference getDocumentRoot_PagerNumber()

  Specified by:
    `getDocumentRoot_PagerNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Pager Number'.
  See Also:
    `DocumentRoot.getPagerNumber()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_PersonName

    public org.eclipse.emf.ecore.EReference getDocumentRoot_PersonName()

  Specified by:
    `getDocumentRoot_PersonName` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Person Name'.
  See Also:
    `DocumentRoot.getPersonName()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_PostalAddress

    public org.eclipse.emf.ecore.EReference getDocumentRoot_PostalAddress()

  Specified by:
    `getDocumentRoot_PostalAddress` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Postal Address'.
  See Also:
    `DocumentRoot.getPostalAddress()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_RegistryEntry

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntry()

  Specified by:
    `getDocumentRoot_RegistryEntry` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry'.
  See Also:
    `DocumentRoot.getRegistryEntry()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObject

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObject()

  Specified by:
    `getDocumentRoot_RegistryObject` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Registry Object'.
  See Also:
    `DocumentRoot.getRegistryObject()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObjectList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectList()

  Specified by:
    `getDocumentRoot_RegistryObjectList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `DocumentRoot.getRegistryObjectList()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_RegistryPackage

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackage()

  Specified by:
    `getDocumentRoot_RegistryPackage` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Registry Package'.
  See Also:
    `DocumentRoot.getRegistryPackage()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Service

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Service()

  Specified by:
    `getDocumentRoot_Service` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Service'.
  See Also:
    `DocumentRoot.getService()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ServiceBinding

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBinding()

  Specified by:
    `getDocumentRoot_ServiceBinding` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Service Binding'.
  See Also:
    `DocumentRoot.getServiceBinding()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Slot

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Slot()

  Specified by:
    `getDocumentRoot_Slot` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Slot'.
  See Also:
    `DocumentRoot.getSlot()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_SpecificationLink

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLink()

  Specified by:
    `getDocumentRoot_SpecificationLink` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Specification Link'.
  See Also:
    `DocumentRoot.getSpecificationLink()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_TelephoneNumber

    public org.eclipse.emf.ecore.EReference getDocumentRoot_TelephoneNumber()

  Specified by:
    `getDocumentRoot_TelephoneNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Telephone Number'.
  See Also:
    `DocumentRoot.getTelephoneNumber()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_UsageDescription

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UsageDescription()

  Specified by:
    `getDocumentRoot_UsageDescription` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Usage Description'.
  See Also:
    `DocumentRoot.getUsageDescription()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_UsageParameter

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_UsageParameter()

  Specified by:
    `getDocumentRoot_UsageParameter` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Usage Parameter'.
  See Also:
    `DocumentRoot.getUsageParameter()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_User

    public org.eclipse.emf.ecore.EReference getDocumentRoot_User()

  Specified by:
    `getDocumentRoot_User` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'User'.
  See Also:
    `DocumentRoot.getUser()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_Value

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Value()

  Specified by:
    `getDocumentRoot_Value` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DocumentRoot.getValue()`, `RimPackage.getDocumentRoot()`

### getDocumentRoot_ValueList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ValueList()

  Specified by:
    `getDocumentRoot_ValueList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Value List'.
  See Also:
    `DocumentRoot.getValueList()`, `RimPackage.getDocumentRoot()`

### getEmailAddressType

    public org.eclipse.emf.ecore.EClass getEmailAddressType()

  Specified by:
    `getEmailAddressType` in interface `RimPackage`
  Returns:
    the meta object for class 'Email Address Type'.
  See Also:
    `EmailAddressType`

### getEmailAddressType_Group

    public org.eclipse.emf.ecore.EAttribute getEmailAddressType_Group()

  Specified by:
    `getEmailAddressType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `EmailAddressType.getGroup()`, `RimPackage.getEmailAddressType()`

### getEmailAddressType_Slot

    public org.eclipse.emf.ecore.EReference getEmailAddressType_Slot()

  Specified by:
    `getEmailAddressType_Slot` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `EmailAddressType.getSlot()`, `RimPackage.getEmailAddressType()`

### getEmailAddressType_Address

    public org.eclipse.emf.ecore.EAttribute getEmailAddressType_Address()

  Specified by:
    `getEmailAddressType_Address` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Address'.
  See Also:
    `EmailAddressType.getAddress()`, `RimPackage.getEmailAddressType()`

### getEmailAddressType_Type

    public org.eclipse.emf.ecore.EAttribute getEmailAddressType_Type()

  Specified by:
    `getEmailAddressType_Type` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `EmailAddressType.getType()`, `RimPackage.getEmailAddressType()`

### getExternalIdentifierType

    public org.eclipse.emf.ecore.EClass getExternalIdentifierType()

  Specified by:
    `getExternalIdentifierType` in interface `RimPackage`
  Returns:
    the meta object for class 'External Identifier Type'.
  See Also:
    `ExternalIdentifierType`

### getExternalIdentifierType_IdentificationScheme

    public org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_IdentificationScheme()

  Specified by:
    `getExternalIdentifierType_IdentificationScheme` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Identification Scheme'.
  See Also:
    `ExternalIdentifierType.getIdentificationScheme()`, `RimPackage.getExternalIdentifierType()`

### getExternalIdentifierType_RegistryObject

    public org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_RegistryObject()

  Specified by:
    `getExternalIdentifierType_RegistryObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Registry Object'.
  See Also:
    `ExternalIdentifierType.getRegistryObject()`, `RimPackage.getExternalIdentifierType()`

### getExternalIdentifierType_Value

    public org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_Value()

  Specified by:
    `getExternalIdentifierType_Value` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ExternalIdentifierType.getValue()`, `RimPackage.getExternalIdentifierType()`

### getExternalLinkType

    public org.eclipse.emf.ecore.EClass getExternalLinkType()

  Specified by:
    `getExternalLinkType` in interface `RimPackage`
  Returns:
    the meta object for class 'External Link Type'.
  See Also:
    `ExternalLinkType`

### getExternalLinkType_ExternalURI

    public org.eclipse.emf.ecore.EAttribute getExternalLinkType_ExternalURI()

  Specified by:
    `getExternalLinkType_ExternalURI` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'External URI'.
  See Also:
    `ExternalLinkType.getExternalURI()`, `RimPackage.getExternalLinkType()`

### getExtrinsicObjectType

    public org.eclipse.emf.ecore.EClass getExtrinsicObjectType()

  Specified by:
    `getExtrinsicObjectType` in interface `RimPackage`
  Returns:
    the meta object for class 'Extrinsic Object Type'.
  See Also:
    `ExtrinsicObjectType`

### getExtrinsicObjectType_IsOpaque

    public org.eclipse.emf.ecore.EAttribute getExtrinsicObjectType_IsOpaque()

  Specified by:
    `getExtrinsicObjectType_IsOpaque` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Is Opaque'.
  See Also:
    `ExtrinsicObjectType.isIsOpaque()`, `RimPackage.getExtrinsicObjectType()`

### getExtrinsicObjectType_MimeType

    public org.eclipse.emf.ecore.EAttribute getExtrinsicObjectType_MimeType()

  Specified by:
    `getExtrinsicObjectType_MimeType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Mime Type'.
  See Also:
    `ExtrinsicObjectType.getMimeType()`, `RimPackage.getExtrinsicObjectType()`

### getInternationalStringType

    public org.eclipse.emf.ecore.EClass getInternationalStringType()

  Specified by:
    `getInternationalStringType` in interface `RimPackage`
  Returns:
    the meta object for class 'International String Type'.
  See Also:
    `InternationalStringType`

### getInternationalStringType_Group

    public org.eclipse.emf.ecore.EAttribute getInternationalStringType_Group()

  Specified by:
    `getInternationalStringType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `InternationalStringType.getGroup()`, `RimPackage.getInternationalStringType()`

### getInternationalStringType_LocalizedString

    public org.eclipse.emf.ecore.EReference getInternationalStringType_LocalizedString()

  Specified by:
    `getInternationalStringType_LocalizedString` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Localized String'.
  See Also:
    `InternationalStringType.getLocalizedString()`, `RimPackage.getInternationalStringType()`

### getLeafRegistryObjectListType

    public org.eclipse.emf.ecore.EClass getLeafRegistryObjectListType()

  Specified by:
    `getLeafRegistryObjectListType` in interface `RimPackage`
  Returns:
    the meta object for class 'Leaf Registry Object List Type'.
  See Also:
    `LeafRegistryObjectListType`

### getLeafRegistryObjectListType_Group

    public org.eclipse.emf.ecore.EAttribute getLeafRegistryObjectListType_Group()

  Specified by:
    `getLeafRegistryObjectListType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `LeafRegistryObjectListType.getGroup()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ObjectRef

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ObjectRef()

  Specified by:
    `getLeafRegistryObjectListType_ObjectRef` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `LeafRegistryObjectListType.getObjectRef()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_Association

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_Association()

  Specified by:
    `getLeafRegistryObjectListType_Association` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Association'.
  See Also:
    `LeafRegistryObjectListType.getAssociation()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_AuditableEvent

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_AuditableEvent()

  Specified by:
    `getLeafRegistryObjectListType_AuditableEvent` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Auditable Event'.
  See Also:
    `LeafRegistryObjectListType.getAuditableEvent()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_Classification

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_Classification()

  Specified by:
    `getLeafRegistryObjectListType_Classification` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification'.
  See Also:
    `LeafRegistryObjectListType.getClassification()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ClassificationNode

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ClassificationNode()

  Specified by:
    `getLeafRegistryObjectListType_ClassificationNode` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `LeafRegistryObjectListType.getClassificationNode()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ClassificationScheme

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ClassificationScheme()

  Specified by:
    `getLeafRegistryObjectListType_ClassificationScheme` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification Scheme'.
  See Also:
    `LeafRegistryObjectListType.getClassificationScheme()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ExternalIdentifier

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ExternalIdentifier()

  Specified by:
    `getLeafRegistryObjectListType_ExternalIdentifier` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'External Identifier'.
  See Also:
    `LeafRegistryObjectListType.getExternalIdentifier()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ExternalLink

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ExternalLink()

  Specified by:
    `getLeafRegistryObjectListType_ExternalLink` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'External Link'.
  See Also:
    `LeafRegistryObjectListType.getExternalLink()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ExtrinsicObject

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ExtrinsicObject()

  Specified by:
    `getLeafRegistryObjectListType_ExtrinsicObject` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Extrinsic Object'.
  See Also:
    `LeafRegistryObjectListType.getExtrinsicObject()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_Organization

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_Organization()

  Specified by:
    `getLeafRegistryObjectListType_Organization` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Organization'.
  See Also:
    `LeafRegistryObjectListType.getOrganization()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_RegistryPackage

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_RegistryPackage()

  Specified by:
    `getLeafRegistryObjectListType_RegistryPackage` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Registry Package'.
  See Also:
    `LeafRegistryObjectListType.getRegistryPackage()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_Service

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_Service()

  Specified by:
    `getLeafRegistryObjectListType_Service` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `LeafRegistryObjectListType.getService()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_ServiceBinding

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_ServiceBinding()

  Specified by:
    `getLeafRegistryObjectListType_ServiceBinding` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Service Binding'.
  See Also:
    `LeafRegistryObjectListType.getServiceBinding()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_SpecificationLink

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_SpecificationLink()

  Specified by:
    `getLeafRegistryObjectListType_SpecificationLink` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Specification Link'.
  See Also:
    `LeafRegistryObjectListType.getSpecificationLink()`, `RimPackage.getLeafRegistryObjectListType()`

### getLeafRegistryObjectListType_User

    public org.eclipse.emf.ecore.EReference getLeafRegistryObjectListType_User()

  Specified by:
    `getLeafRegistryObjectListType_User` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'User'.
  See Also:
    `LeafRegistryObjectListType.getUser()`, `RimPackage.getLeafRegistryObjectListType()`

### getLocalizedStringType

    public org.eclipse.emf.ecore.EClass getLocalizedStringType()

  Specified by:
    `getLocalizedStringType` in interface `RimPackage`
  Returns:
    the meta object for class 'Localized String Type'.
  See Also:
    `LocalizedStringType`

### getLocalizedStringType_Charset

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Charset()

  Specified by:
    `getLocalizedStringType_Charset` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Charset'.
  See Also:
    `LocalizedStringType.getCharset()`, `RimPackage.getLocalizedStringType()`

### getLocalizedStringType_Lang

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Lang()

  Specified by:
    `getLocalizedStringType_Lang` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `LocalizedStringType.getLang()`, `RimPackage.getLocalizedStringType()`

### getLocalizedStringType_Value

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Value()

  Specified by:
    `getLocalizedStringType_Value` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `LocalizedStringType.getValue()`, `RimPackage.getLocalizedStringType()`

### getObjectRefListType

    public org.eclipse.emf.ecore.EClass getObjectRefListType()

  Specified by:
    `getObjectRefListType` in interface `RimPackage`
  Returns:
    the meta object for class 'Object Ref List Type'.
  See Also:
    `ObjectRefListType`

### getObjectRefListType_Group

    public org.eclipse.emf.ecore.EAttribute getObjectRefListType_Group()

  Specified by:
    `getObjectRefListType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ObjectRefListType.getGroup()`, `RimPackage.getObjectRefListType()`

### getObjectRefListType_ObjectRef

    public org.eclipse.emf.ecore.EReference getObjectRefListType_ObjectRef()

  Specified by:
    `getObjectRefListType_ObjectRef` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ObjectRefListType.getObjectRef()`, `RimPackage.getObjectRefListType()`

### getObjectRefType

    public org.eclipse.emf.ecore.EClass getObjectRefType()

  Specified by:
    `getObjectRefType` in interface `RimPackage`
  Returns:
    the meta object for class 'Object Ref Type'.
  See Also:
    `ObjectRefType`

### getObjectRefType_Id

    public org.eclipse.emf.ecore.EAttribute getObjectRefType_Id()

  Specified by:
    `getObjectRefType_Id` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ObjectRefType.getId()`, `RimPackage.getObjectRefType()`

### getOrganizationType

    public org.eclipse.emf.ecore.EClass getOrganizationType()

  Specified by:
    `getOrganizationType` in interface `RimPackage`
  Returns:
    the meta object for class 'Organization Type'.
  See Also:
    `OrganizationType`

### getOrganizationType_Address

    public org.eclipse.emf.ecore.EReference getOrganizationType_Address()

  Specified by:
    `getOrganizationType_Address` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Address'.
  See Also:
    `OrganizationType.getAddress()`, `RimPackage.getOrganizationType()`

### getOrganizationType_TelephoneNumber

    public org.eclipse.emf.ecore.EReference getOrganizationType_TelephoneNumber()

  Specified by:
    `getOrganizationType_TelephoneNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `OrganizationType.getTelephoneNumber()`, `RimPackage.getOrganizationType()`

### getOrganizationType_Parent

    public org.eclipse.emf.ecore.EAttribute getOrganizationType_Parent()

  Specified by:
    `getOrganizationType_Parent` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Parent'.
  See Also:
    `OrganizationType.getParent()`, `RimPackage.getOrganizationType()`

### getOrganizationType_PrimaryContact

    public org.eclipse.emf.ecore.EAttribute getOrganizationType_PrimaryContact()

  Specified by:
    `getOrganizationType_PrimaryContact` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Primary Contact'.
  See Also:
    `OrganizationType.getPrimaryContact()`, `RimPackage.getOrganizationType()`

### getPersonNameType

    public org.eclipse.emf.ecore.EClass getPersonNameType()

  Specified by:
    `getPersonNameType` in interface `RimPackage`
  Returns:
    the meta object for class 'Person Name Type'.
  See Also:
    `PersonNameType`

### getPersonNameType_Group

    public org.eclipse.emf.ecore.EAttribute getPersonNameType_Group()

  Specified by:
    `getPersonNameType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `PersonNameType.getGroup()`, `RimPackage.getPersonNameType()`

### getPersonNameType_Slot

    public org.eclipse.emf.ecore.EReference getPersonNameType_Slot()

  Specified by:
    `getPersonNameType_Slot` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `PersonNameType.getSlot()`, `RimPackage.getPersonNameType()`

### getPersonNameType_FirstName

    public org.eclipse.emf.ecore.EAttribute getPersonNameType_FirstName()

  Specified by:
    `getPersonNameType_FirstName` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'First Name'.
  See Also:
    `PersonNameType.getFirstName()`, `RimPackage.getPersonNameType()`

### getPersonNameType_LastName

    public org.eclipse.emf.ecore.EAttribute getPersonNameType_LastName()

  Specified by:
    `getPersonNameType_LastName` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Last Name'.
  See Also:
    `PersonNameType.getLastName()`, `RimPackage.getPersonNameType()`

### getPersonNameType_MiddleName

    public org.eclipse.emf.ecore.EAttribute getPersonNameType_MiddleName()

  Specified by:
    `getPersonNameType_MiddleName` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Middle Name'.
  See Also:
    `PersonNameType.getMiddleName()`, `RimPackage.getPersonNameType()`

### getPostalAddressType

    public org.eclipse.emf.ecore.EClass getPostalAddressType()

  Specified by:
    `getPostalAddressType` in interface `RimPackage`
  Returns:
    the meta object for class 'Postal Address Type'.
  See Also:
    `PostalAddressType`

### getPostalAddressType_Group

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_Group()

  Specified by:
    `getPostalAddressType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `PostalAddressType.getGroup()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_Slot

    public org.eclipse.emf.ecore.EReference getPostalAddressType_Slot()

  Specified by:
    `getPostalAddressType_Slot` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `PostalAddressType.getSlot()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_City

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_City()

  Specified by:
    `getPostalAddressType_City` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'City'.
  See Also:
    `PostalAddressType.getCity()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_Country

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_Country()

  Specified by:
    `getPostalAddressType_Country` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `PostalAddressType.getCountry()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_PostalCode

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_PostalCode()

  Specified by:
    `getPostalAddressType_PostalCode` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Postal Code'.
  See Also:
    `PostalAddressType.getPostalCode()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_StateOrProvince

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_StateOrProvince()

  Specified by:
    `getPostalAddressType_StateOrProvince` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'State Or Province'.
  See Also:
    `PostalAddressType.getStateOrProvince()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_Street

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_Street()

  Specified by:
    `getPostalAddressType_Street` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Street'.
  See Also:
    `PostalAddressType.getStreet()`, `RimPackage.getPostalAddressType()`

### getPostalAddressType_StreetNumber

    public org.eclipse.emf.ecore.EAttribute getPostalAddressType_StreetNumber()

  Specified by:
    `getPostalAddressType_StreetNumber` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Street Number'.
  See Also:
    `PostalAddressType.getStreetNumber()`, `RimPackage.getPostalAddressType()`

### getRegistryEntryType

    public org.eclipse.emf.ecore.EClass getRegistryEntryType()

  Specified by:
    `getRegistryEntryType` in interface `RimPackage`
  Returns:
    the meta object for class 'Registry Entry Type'.
  See Also:
    `RegistryEntryType`

### getRegistryEntryType_Expiration

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_Expiration()

  Specified by:
    `getRegistryEntryType_Expiration` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Expiration'.
  See Also:
    `RegistryEntryType.getExpiration()`, `RimPackage.getRegistryEntryType()`

### getRegistryEntryType_MajorVersion

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_MajorVersion()

  Specified by:
    `getRegistryEntryType_MajorVersion` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Major Version'.
  See Also:
    `RegistryEntryType.getMajorVersion()`, `RimPackage.getRegistryEntryType()`

### getRegistryEntryType_MinorVersion

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_MinorVersion()

  Specified by:
    `getRegistryEntryType_MinorVersion` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Minor Version'.
  See Also:
    `RegistryEntryType.getMinorVersion()`, `RimPackage.getRegistryEntryType()`

### getRegistryEntryType_Stability

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_Stability()

  Specified by:
    `getRegistryEntryType_Stability` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Stability'.
  See Also:
    `RegistryEntryType.getStability()`, `RimPackage.getRegistryEntryType()`

### getRegistryEntryType_Status

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_Status()

  Specified by:
    `getRegistryEntryType_Status` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryEntryType.getStatus()`, `RimPackage.getRegistryEntryType()`

### getRegistryEntryType_UserVersion

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryType_UserVersion()

  Specified by:
    `getRegistryEntryType_UserVersion` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'User Version'.
  See Also:
    `RegistryEntryType.getUserVersion()`, `RimPackage.getRegistryEntryType()`

### getRegistryObjectListType

    public org.eclipse.emf.ecore.EClass getRegistryObjectListType()

  Specified by:
    `getRegistryObjectListType` in interface `RimPackage`
  Returns:
    the meta object for class 'Registry Object List Type'.
  See Also:
    `RegistryObjectListType`

### getRegistryObjectListType_Group1

    public org.eclipse.emf.ecore.EAttribute getRegistryObjectListType_Group1()

  Specified by:
    `getRegistryObjectListType_Group1` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group1'.
  See Also:
    `RegistryObjectListType.getGroup1()`, `RimPackage.getRegistryObjectListType()`

### getRegistryObjectListType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getRegistryObjectListType_RegistryEntry()

  Specified by:
    `getRegistryObjectListType_RegistryEntry` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `RegistryObjectListType.getRegistryEntry()`, `RimPackage.getRegistryObjectListType()`

### getRegistryObjectListType_RegistryObject

    public org.eclipse.emf.ecore.EReference getRegistryObjectListType_RegistryObject()

  Specified by:
    `getRegistryObjectListType_RegistryObject` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `RegistryObjectListType.getRegistryObject()`, `RimPackage.getRegistryObjectListType()`

### getRegistryObjectType

    public org.eclipse.emf.ecore.EClass getRegistryObjectType()

  Specified by:
    `getRegistryObjectType` in interface `RimPackage`
  Returns:
    the meta object for class 'Registry Object Type'.
  See Also:
    `RegistryObjectType`

### getRegistryObjectType_Name

    public org.eclipse.emf.ecore.EReference getRegistryObjectType_Name()

  Specified by:
    `getRegistryObjectType_Name` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `RegistryObjectType.getName()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_Description

    public org.eclipse.emf.ecore.EReference getRegistryObjectType_Description()

  Specified by:
    `getRegistryObjectType_Description` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Description'.
  See Also:
    `RegistryObjectType.getDescription()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_Slot

    public org.eclipse.emf.ecore.EReference getRegistryObjectType_Slot()

  Specified by:
    `getRegistryObjectType_Slot` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `RegistryObjectType.getSlot()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_Classification

    public org.eclipse.emf.ecore.EReference getRegistryObjectType_Classification()

  Specified by:
    `getRegistryObjectType_Classification` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Classification'.
  See Also:
    `RegistryObjectType.getClassification()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_ExternalIdentifier

    public org.eclipse.emf.ecore.EReference getRegistryObjectType_ExternalIdentifier()

  Specified by:
    `getRegistryObjectType_ExternalIdentifier` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'External Identifier'.
  See Also:
    `RegistryObjectType.getExternalIdentifier()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_AccessControlPolicy

    public org.eclipse.emf.ecore.EAttribute getRegistryObjectType_AccessControlPolicy()

  Specified by:
    `getRegistryObjectType_AccessControlPolicy` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Access Control Policy'.
  See Also:
    `RegistryObjectType.getAccessControlPolicy()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_Id

    public org.eclipse.emf.ecore.EAttribute getRegistryObjectType_Id()

  Specified by:
    `getRegistryObjectType_Id` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RegistryObjectType.getId()`, `RimPackage.getRegistryObjectType()`

### getRegistryObjectType_ObjectType

    public org.eclipse.emf.ecore.EAttribute getRegistryObjectType_ObjectType()

  Specified by:
    `getRegistryObjectType_ObjectType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Object Type'.
  See Also:
    `RegistryObjectType.getObjectType()`, `RimPackage.getRegistryObjectType()`

### getRegistryPackageType

    public org.eclipse.emf.ecore.EClass getRegistryPackageType()

  Specified by:
    `getRegistryPackageType` in interface `RimPackage`
  Returns:
    the meta object for class 'Registry Package Type'.
  See Also:
    `RegistryPackageType`

### getRegistryPackageType_RegistryObjectList

    public org.eclipse.emf.ecore.EReference getRegistryPackageType_RegistryObjectList()

  Specified by:
    `getRegistryPackageType_RegistryObjectList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `RegistryPackageType.getRegistryObjectList()`, `RimPackage.getRegistryPackageType()`

### getServiceBindingType

    public org.eclipse.emf.ecore.EClass getServiceBindingType()

  Specified by:
    `getServiceBindingType` in interface `RimPackage`
  Returns:
    the meta object for class 'Service Binding Type'.
  See Also:
    `ServiceBindingType`

### getServiceBindingType_SpecificationLink

    public org.eclipse.emf.ecore.EReference getServiceBindingType_SpecificationLink()

  Specified by:
    `getServiceBindingType_SpecificationLink` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Specification Link'.
  See Also:
    `ServiceBindingType.getSpecificationLink()`, `RimPackage.getServiceBindingType()`

### getServiceBindingType_AccessURI

    public org.eclipse.emf.ecore.EAttribute getServiceBindingType_AccessURI()

  Specified by:
    `getServiceBindingType_AccessURI` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Access URI'.
  See Also:
    `ServiceBindingType.getAccessURI()`, `RimPackage.getServiceBindingType()`

### getServiceBindingType_Service

    public org.eclipse.emf.ecore.EAttribute getServiceBindingType_Service()

  Specified by:
    `getServiceBindingType_Service` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Service'.
  See Also:
    `ServiceBindingType.getService()`, `RimPackage.getServiceBindingType()`

### getServiceBindingType_TargetBinding

    public org.eclipse.emf.ecore.EAttribute getServiceBindingType_TargetBinding()

  Specified by:
    `getServiceBindingType_TargetBinding` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Target Binding'.
  See Also:
    `ServiceBindingType.getTargetBinding()`, `RimPackage.getServiceBindingType()`

### getServiceType

    public org.eclipse.emf.ecore.EClass getServiceType()

  Specified by:
    `getServiceType` in interface `RimPackage`
  Returns:
    the meta object for class 'Service Type'.
  See Also:
    `ServiceType`

### getServiceType_ServiceBinding

    public org.eclipse.emf.ecore.EReference getServiceType_ServiceBinding()

  Specified by:
    `getServiceType_ServiceBinding` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Service Binding'.
  See Also:
    `ServiceType.getServiceBinding()`, `RimPackage.getServiceType()`

### getSlotType1

    public org.eclipse.emf.ecore.EClass getSlotType1()

  Specified by:
    `getSlotType1` in interface `RimPackage`
  Returns:
    the meta object for class 'Slot Type1'.
  See Also:
    `SlotType1`

### getSlotType1_ValueList

    public org.eclipse.emf.ecore.EReference getSlotType1_ValueList()

  Specified by:
    `getSlotType1_ValueList` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Value List'.
  See Also:
    `SlotType1.getValueList()`, `RimPackage.getSlotType1()`

### getSlotType1_Name

    public org.eclipse.emf.ecore.EAttribute getSlotType1_Name()

  Specified by:
    `getSlotType1_Name` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SlotType1.getName()`, `RimPackage.getSlotType1()`

### getSlotType1_SlotType

    public org.eclipse.emf.ecore.EAttribute getSlotType1_SlotType()

  Specified by:
    `getSlotType1_SlotType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Slot Type'.
  See Also:
    `SlotType1.getSlotType()`, `RimPackage.getSlotType1()`

### getSpecificationLinkType

    public org.eclipse.emf.ecore.EClass getSpecificationLinkType()

  Specified by:
    `getSpecificationLinkType` in interface `RimPackage`
  Returns:
    the meta object for class 'Specification Link Type'.
  See Also:
    `SpecificationLinkType`

### getSpecificationLinkType_UsageDescription

    public org.eclipse.emf.ecore.EReference getSpecificationLinkType_UsageDescription()

  Specified by:
    `getSpecificationLinkType_UsageDescription` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Usage Description'.
  See Also:
    `SpecificationLinkType.getUsageDescription()`, `RimPackage.getSpecificationLinkType()`

### getSpecificationLinkType_UsageParameter

    public org.eclipse.emf.ecore.EAttribute getSpecificationLinkType_UsageParameter()

  Specified by:
    `getSpecificationLinkType_UsageParameter` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Usage Parameter'.
  See Also:
    `SpecificationLinkType.getUsageParameter()`, `RimPackage.getSpecificationLinkType()`

### getSpecificationLinkType_SpecificationObject

    public org.eclipse.emf.ecore.EAttribute getSpecificationLinkType_SpecificationObject()

  Specified by:
    `getSpecificationLinkType_SpecificationObject` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Specification Object'.
  See Also:
    `SpecificationLinkType.getSpecificationObject()`, `RimPackage.getSpecificationLinkType()`

### getTelephoneNumberListType

    public org.eclipse.emf.ecore.EClass getTelephoneNumberListType()

  Specified by:
    `getTelephoneNumberListType` in interface `RimPackage`
  Returns:
    the meta object for class 'Telephone Number List Type'.
  See Also:
    `TelephoneNumberListType`

### getTelephoneNumberListType_TelephoneNumber

    public org.eclipse.emf.ecore.EReference getTelephoneNumberListType_TelephoneNumber()

  Specified by:
    `getTelephoneNumberListType_TelephoneNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `TelephoneNumberListType.getTelephoneNumber()`, `RimPackage.getTelephoneNumberListType()`

### getTelephoneNumberType

    public org.eclipse.emf.ecore.EClass getTelephoneNumberType()

  Specified by:
    `getTelephoneNumberType` in interface `RimPackage`
  Returns:
    the meta object for class 'Telephone Number Type'.
  See Also:
    `TelephoneNumberType`

### getTelephoneNumberType_AreaCode

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_AreaCode()

  Specified by:
    `getTelephoneNumberType_AreaCode` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Area Code'.
  See Also:
    `TelephoneNumberType.getAreaCode()`, `RimPackage.getTelephoneNumberType()`

### getTelephoneNumberType_CountryCode

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_CountryCode()

  Specified by:
    `getTelephoneNumberType_CountryCode` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Country Code'.
  See Also:
    `TelephoneNumberType.getCountryCode()`, `RimPackage.getTelephoneNumberType()`

### getTelephoneNumberType_Extension

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_Extension()

  Specified by:
    `getTelephoneNumberType_Extension` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Extension'.
  See Also:
    `TelephoneNumberType.getExtension()`, `RimPackage.getTelephoneNumberType()`

### getTelephoneNumberType_Number

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_Number()

  Specified by:
    `getTelephoneNumberType_Number` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Number'.
  See Also:
    `TelephoneNumberType.getNumber()`, `RimPackage.getTelephoneNumberType()`

### getTelephoneNumberType_PhoneType

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_PhoneType()

  Specified by:
    `getTelephoneNumberType_PhoneType` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Phone Type'.
  See Also:
    `TelephoneNumberType.getPhoneType()`, `RimPackage.getTelephoneNumberType()`

### getTelephoneNumberType_Url

    public org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_Url()

  Specified by:
    `getTelephoneNumberType_Url` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Url'.
  See Also:
    `TelephoneNumberType.getUrl()`, `RimPackage.getTelephoneNumberType()`

### getUserType

    public org.eclipse.emf.ecore.EClass getUserType()

  Specified by:
    `getUserType` in interface `RimPackage`
  Returns:
    the meta object for class 'User Type'.
  See Also:
    `UserType`

### getUserType_Address

    public org.eclipse.emf.ecore.EReference getUserType_Address()

  Specified by:
    `getUserType_Address` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Address'.
  See Also:
    `UserType.getAddress()`, `RimPackage.getUserType()`

### getUserType_PersonName

    public org.eclipse.emf.ecore.EReference getUserType_PersonName()

  Specified by:
    `getUserType_PersonName` in interface `RimPackage`
  Returns:
    the meta object for the containment reference 'Person Name'.
  See Also:
    `UserType.getPersonName()`, `RimPackage.getUserType()`

### getUserType_TelephoneNumber

    public org.eclipse.emf.ecore.EReference getUserType_TelephoneNumber()

  Specified by:
    `getUserType_TelephoneNumber` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `UserType.getTelephoneNumber()`, `RimPackage.getUserType()`

### getUserType_EmailAddress

    public org.eclipse.emf.ecore.EReference getUserType_EmailAddress()

  Specified by:
    `getUserType_EmailAddress` in interface `RimPackage`
  Returns:
    the meta object for the containment reference list 'Email Address'.
  See Also:
    `UserType.getEmailAddress()`, `RimPackage.getUserType()`

### getUserType_Organization

    public org.eclipse.emf.ecore.EAttribute getUserType_Organization()

  Specified by:
    `getUserType_Organization` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Organization'.
  See Also:
    `UserType.getOrganization()`, `RimPackage.getUserType()`

### getUserType_Url

    public org.eclipse.emf.ecore.EAttribute getUserType_Url()

  Specified by:
    `getUserType_Url` in interface `RimPackage`
  Returns:
    the meta object for the attribute 'Url'.
  See Also:
    `UserType.getUrl()`, `RimPackage.getUserType()`

### getValueListType

    public org.eclipse.emf.ecore.EClass getValueListType()

  Specified by:
    `getValueListType` in interface `RimPackage`
  Returns:
    the meta object for class 'Value List Type'.
  See Also:
    `ValueListType`

### getValueListType_Group

    public org.eclipse.emf.ecore.EAttribute getValueListType_Group()

  Specified by:
    `getValueListType_Group` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ValueListType.getGroup()`, `RimPackage.getValueListType()`

### getValueListType_Value

    public org.eclipse.emf.ecore.EAttribute getValueListType_Value()

  Specified by:
    `getValueListType_Value` in interface `RimPackage`
  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `ValueListType.getValue()`, `RimPackage.getValueListType()`

### getEventTypeType

    public org.eclipse.emf.ecore.EEnum getEventTypeType()

  Specified by:
    `getEventTypeType` in interface `RimPackage`
  Returns:
    the meta object for enum 'Event Type Type'.
  See Also:
    `EventTypeType`

### getNodeTypeType

    public org.eclipse.emf.ecore.EEnum getNodeTypeType()

  Specified by:
    `getNodeTypeType` in interface `RimPackage`
  Returns:
    the meta object for enum 'Node Type Type'.
  See Also:
    `NodeTypeType`

### getStabilityType

    public org.eclipse.emf.ecore.EEnum getStabilityType()

  Specified by:
    `getStabilityType` in interface `RimPackage`
  Returns:
    the meta object for enum 'Stability Type'.
  See Also:
    `StabilityType`

### getStatusType

    public org.eclipse.emf.ecore.EEnum getStatusType()

  Specified by:
    `getStatusType` in interface `RimPackage`
  Returns:
    the meta object for enum 'Status Type'.
  See Also:
    `StatusType`

### getEventTypeTypeObject

    public org.eclipse.emf.ecore.EDataType getEventTypeTypeObject()

  Specified by:
    `getEventTypeTypeObject` in interface `RimPackage`
  Returns:
    the meta object for data type 'Event Type Type Object'.
  See Also:
    `EventTypeType`

### getFreeFormText

    public org.eclipse.emf.ecore.EDataType getFreeFormText()

  Specified by:
    `getFreeFormText` in interface `RimPackage`
  Returns:
    the meta object for data type 'Free Form Text'.
  See Also:
    `String`

### getLongName

    public org.eclipse.emf.ecore.EDataType getLongName()

  Specified by:
    `getLongName` in interface `RimPackage`
  Returns:
    the meta object for data type 'Long Name'.
  See Also:
    `String`

### getNodeTypeTypeObject

    public org.eclipse.emf.ecore.EDataType getNodeTypeTypeObject()

  Specified by:
    `getNodeTypeTypeObject` in interface `RimPackage`
  Returns:
    the meta object for data type 'Node Type Type Object'.
  See Also:
    `NodeTypeType`

### getShortName

    public org.eclipse.emf.ecore.EDataType getShortName()

  Specified by:
    `getShortName` in interface `RimPackage`
  Returns:
    the meta object for data type 'Short Name'.
  See Also:
    `String`

### getStabilityTypeObject

    public org.eclipse.emf.ecore.EDataType getStabilityTypeObject()

  Specified by:
    `getStabilityTypeObject` in interface `RimPackage`
  Returns:
    the meta object for data type 'Stability Type Object'.
  See Also:
    `StabilityType`

### getStatusTypeObject

    public org.eclipse.emf.ecore.EDataType getStatusTypeObject()

  Specified by:
    `getStatusTypeObject` in interface `RimPackage`
  Returns:
    the meta object for data type 'Status Type Object'.
  See Also:
    `StatusType`

### getString16

    public org.eclipse.emf.ecore.EDataType getString16()

  Specified by:
    `getString16` in interface `RimPackage`
  Returns:
    the meta object for data type 'String16'.
  See Also:
    `String`

### getString32

    public org.eclipse.emf.ecore.EDataType getString32()

  Specified by:
    `getString32` in interface `RimPackage`
  Returns:
    the meta object for data type 'String32'.
  See Also:
    `String`

### getString4

    public org.eclipse.emf.ecore.EDataType getString4()

  Specified by:
    `getString4` in interface `RimPackage`
  Returns:
    the meta object for data type 'String4'.
  See Also:
    `String`

### getString8

    public org.eclipse.emf.ecore.EDataType getString8()

  Specified by:
    `getString8` in interface `RimPackage`
  Returns:
    the meta object for data type 'String8'.
  See Also:
    `String`

### getRimFactory

    public RimFactory getRimFactory()

  Specified by:
    `getRimFactory` in interface `RimPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD